Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class DefaultPointsHandler

    java.lang.Object
      org.apache.batik.parser.DefaultPointsHandler

All Implemented Interfaces:
  PointsHandler

    public class DefaultPointsHandler

extends Object
implements PointsHandler

This class provides an adapter for PointsHandler.

Field Summary
`static DefaultPointsHandler` | `INSTANCE` The only instance of this class.

Constructor Summary
`protected` | `DefaultPointsHandler()` This class does not need to be instantiated.

Method Summary
`void` | `endPoints()` Implements `PointsHandler.endPoints()`.
`void` | `point(float x, float y)` Implements `PointsHandler.point(float,float)`.
`void` | `startPoints()` Implements `PointsHandler.startPoints()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DefaultPointsHandler INSTANCE

  The only instance of this class.

Constructor Detail

### DefaultPointsHandler

    protected DefaultPointsHandler()

  This class does not need to be instantiated.

Method Detail

### startPoints

    public void startPoints()
                     throws ParseException

  Implements `PointsHandler.startPoints()`.

  Specified by:
    `startPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

### point

    public void point(float x,
                      float y)
               throws ParseException

  Implements `PointsHandler.point(float,float)`.

  Specified by:
    `point` in interface `PointsHandler`
  Parameters:
    `x` - the x coordinate of the point
    `y` - the y coordinate of the point
  Throws:
    `ParseException` - if an error occured while processing the points

### endPoints

    public void endPoints()
                   throws ParseException

  Implements `PointsHandler.endPoints()`.

  Specified by:
    `endPoints` in interface `PointsHandler`
  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.